module SCAnalytics
	module Connections
		module ConnectionPool
			@active_connections = {}

			def self.get_connection_to(server_name)
				establish_connection_to server_name.downcase.to_sym unless @active_connections[server_name.downcase.to_sym]

				@active_connections[server_name.downcase.to_sym]
			end

			def self.establish_connection_to(server_name)
				config = Credentials.connection_details server_name
				@active_connections[server_name] = case Credentials.connection_type(server_name)
				when "oracle"
					require 'sc_analytics/connections/oracle'
					Oracle.new server_name, config
				when "mysql"
					Mysql.new server_name, config
				else
					raise
				end

				@active_connections[server_name]
			end
		end
	end
end