module SCAnalytics
	module Connections
		module Credentials
			include SCAnalytics
			require 'yaml'

			CONFIGS_FILE = "G:/Rowan/db_configs.yml"
			@credentials = YAML.load(File.read(CONFIGS_FILE))

			def self.symbolize_keys_for(hsh)
				hsh = hsh.inject({}) {|new_hsh,(k,v)| new_hsh[k.downcase.to_sym] = v; new_hsh}
		
				hsh.keys.each do |k|
					hsh[k] = symbolize_keys_for hsh[k] if hsh[k].is_a? Hash
				end
		
				hsh
			end

			@credentials = symbolize_keys_for @credentials

			def self.connection_type(db_name)
				@credentials[db_name.downcase.to_sym][:type].downcase
			end

			def self.connection_details(db_name)
				@credentials[db_name.downcase.to_sym]
			end
		end
	end
end